#import <appkit/appkit.h>

#define DOCKNAMELEN		(20)
#define DOCK_NONE		(0x00000000)
#define DOCK_ALNCH		(0x00000001)
#define DOCK_ASCAN		(0x00000002)
#define DOCK_STICKY		(0x00000004)

struct winRec	{
	int		winNum;
	float	xOffset;
	float	yOffset;
};

@interface Dock : Object
{
	char	name[DOCKNAMELEN+1];
	id		dockWindowList;
	id		fileNameStore;
	id		filePositionStore;
	id		launchFlagStore;
	id		appIconStore;
	id		dockMgrView;
	id		nameWinHash;
	id		fiendSound;
	id		destroySound;
	NXRect	frame;
	BOOL	sticky;
	BOOL	isLoaded;
}

- initMgrView:theDockMgrView;
- setSticky;
- (BOOL)isLoaded;
- setIsLoaded:(BOOL)flag;
- getOffset:(NXPoint *)offset forWindow:aWindow;
- addStickyWindow:aWindow atOffset:(NXPoint *)offset;
- setFiendSound:fSound destroySound:dSound;
- dockWindowList;
- nameWinHash;
- scanIcons;
- restoreIcons;
- empty;
- performAutolaunches;
- removeWindow:aWin;
- addWindow:aWin withPath:(char *)aPath;
- (int)iconCount;
- deleteSelectedCells;
- fileNameStore;
- appIconStore;
- filePositionStore;
- launchFlagStore;
- createWindowsFromStores:(BOOL)doRegs stickyWindows:(BOOL)doStickers;
- vanishIcons:(BOOL)flag;
- checkLaunchStatus;
- setLaunchFlagsFor:view;
- redisplayIcons;
- removeStickyWindow:aWindow;
- (int)addToWinRecArray:(struct winRec **)winRecs presentCount:(int *)pcount;
- createWindowForPath:(const char *)thePath newFrame:(NXRect *)newFrame;
- createWindowWithFrame:(NXRect *)theFrame;
- createIconViewForPath:(const char *)path withFrame:(NXRect *)iconFrame;
- findWindowForName:(const char *)name;
- getNextFrame:(NXRect *)theFrame;
- getOffset:(NXPoint *)p fromFrame:(NXRect *)f;
- (BOOL)isShowing;
- rotateOffsets;
- setWindowTier:(int)aTier;
- setFrame:(const NXRect *)frame;
- getFrame:(NXRect *)frame;
- deleteView:aView quickly:(BOOL)flag unvanish:(BOOL)flag;
- deleteView:aView unvanish:(BOOL)flag;
- addWindowForPath:(NXAtom)pathAtom at:(NXRect *)aRect;
- setDockMgrView:aView;
- updateWindows:(NXPoint *)p usePlace:(BOOL)usePlace followLevels:(BOOL)flag;
- select:(BOOL)flag all:sender;
- viewAtPosition:(NXRect *)checkRect besides:aView;
- (int)hasSelectedCells;
- selectedCell;
- (const char *)selectedCellPath;
- (int)indexOfPath:(char *)aPath exact:(BOOL)flag;
- select:(BOOL)flag iconWithPath:(char *)aPath;
- (int)copy:sender toPasteboard:pb andCut:(BOOL)cutFlag sndEnable:(BOOL)flag;
- paste:sender sndEnable:(BOOL)flag;
- paste:sender toPasteboard:pb sndEnable:(BOOL)flag;
- setName:(char *)aName;
- (const char *)name;
@end

