#import <appkit/appkit.h>

#define DOCKMGRVERSION 4

@interface DockMgrView : View
{
	id		theImage;
	id		theAltImage;
	id		theLoadImage;
	id		appHash;
	id		appTileImage;
	id		dockList;
	id		currentDock;
	id		fiendSound;
	id		destroySound;
	id		dragView;
	id		dockNameCell;
	id		dockNumberCell;
	id		miniwindowStore;
	id		raiseButton;
	id		nextLevelButton;
	id		prevLevelButton;
	id		rbImage;
	id		rbAltImage;
	id		nbImage;
	id		nbAltImage;
	id		pbImage;
	id		pbAltImage;
	id		fieldEditor;
	id		stickyDock;
	id		iconInspector;
	id		iconPathField;
	id		iconSwitchMatrix;
	id		launchProc;
	int		currentDockIndex;
	int		inspectorButtonTag;
	double	clickTime;
	BOOL	dockLocked;
	BOOL	dockSunken;
	BOOL	editing;
	BOOL	showDock;
	BOOL	acceptDrag;
	BOOL	dragChecked;
	BOOL	itemOnDock;
	BOOL	followLevels;
	BOOL	keepDraggedIcons;
	BOOL	windowsNeedUpdate;
	NXPoint	mouseOffset;
	DPSTimedEntry scanTimer;
	DPSTimedEntry followTimer;
}

- initFrame:(const NXRect *)aFrame withWindow:aWindow;
- mouseDown:(NXEvent *)event;
- drawSelf:(const NXRect *) rects:(int)rectCount;
- readDocks;
- writeDocks;
- inspectIcon:iconView;
- modalDone:sender;
- bringCurrentToTop;
- sendCurrentToBottom;
- setDragView:theView andOffset:(NXPoint *)offset;
- draggedImage:theImage endedAt:(NXPoint *)screenPoint deposited:(BOOL)didDeposit;
- setIconSize:(int)aValue;
- (int)iconSize;
- deleteView:theView;
- addLevel;
- sinkDock:(BOOL)flag;
- addWorkspace;
- addRecycler;
- launch:(const char *)aProgram autolaunch:(BOOL)flag;
- killLauncher;
- setFollowLevels:(BOOL)flag;
- setKeepDraggedIcons:(BOOL)flag;
- deleteLevel;
- deselectAll:sender;
- (int)hasSelectedCells;
- redisplayAllIcons;
- raiseButtonAction:sender;
- levelButtonAction:sender;
- setDockNameCellFont:(NXRect *)aRect;
- setShowDock:(BOOL)flag;
- setShowDock:(BOOL)flag leaveStickyIcons:(BOOL)leave;
- (BOOL)showDock;
- setDockLocked:(BOOL)flag;
- (BOOL)dockLocked;
- rotateOffsets;
- vanishDocks:(BOOL)flag;
- gotoDockLevel:(int)aLevel;
- moveIconsTo:(int)aLevel;
- moveLevelTo:(int)aLevel;
- nextLevel;
- twist;
- previousLevel;
- setLaunchFlagsFor:aView;
- (int)currentDockIndex;
- currentDock;
- add:aView toStickyDock:(BOOL)flag owner:aDock;
- getRaiseFrame:(NXRect *)raiseFrame levelFrame:(NXRect *)levelFrame from:(NXRect *)refFrame;
- (int)findLevelContaining:(const char *)aPath switch:(BOOL)flag;
- (int)totalIconCount;
- (BOOL)acceptsFirstMouse;
- (BOOL)acceptsFirstResponder;
- windowDidResignKey:sender;
- clearDockLevel;
- copy:sender toPasteboard:pb andCut:(BOOL)cutFlag;
- paste:sender;
- paste:sender toPasteboard:pb;
- gotoNamedLevel:(char *)aName;
- nameLevel:(char *)aName;
- setNameCell;
- stickyDock;
- app:theApp applicationWillLaunch:(const char *)theAppName;
- app:theApp applicationDidLaunch:(const char *)theAppName;
- app:theApp applicationDidTerminate:(const char *)theAppName;
- scanIcons;
- restoreIcons;
- startScanTimer;
- stopScanTimer;
- (int)levelCount;
@end

extern void fiendUnhideContext(int context, BOOL raise, BOOL makeActive, BOOL hideOthers);
