#import <appkit/appkit.h>

#define ORIG_SCREEN_HEIGHT	(832)

@interface IconView : View
{
    id			image;
	id			tempImage;
    id			dockHilite;
	id			shelfHilite;
	id			shelfAppHilite;
    id			titleCell;
	id			dockMgrView;
	int			appPid;
	int			appIcon;
	int			appCtxt;
	int			savedOnDock;
	int			statReturn;
    void		*data;
	BOOL		fiendLaunch;
    BOOL		ghost;
    BOOL		selected;
	BOOL		onDock;
	BOOL		isApp;
	BOOL		isLaunched;
	BOOL		preDelete;
	BOOL		autoLaunch;
	BOOL		autoScan;
	BOOL		sticky;
	BOOL		appWasActive;
	BOOL		appWasVisible;
    NXSize		imageMax;
    NXSize		hiliteMax;
	NXPoint		imagePoint;
	NXPoint		hilitePoint;
	NXSize		screenSize;
	NXSize		oldSize;
    unsigned int	length;
}

+ processTable;
+ resetProcessTable;
+ resetCachedDockImages;
+ setCachedDockImageSize:(NXSize *)aSize;
+ resetCachedShelfImages;
+ copyIconView:aView;
+ getImageForPath:(const char *)path fileIcon:(BOOL)flag zone:(NXZone *)aZone;
+ (int)getCtxtForPid:(int)pid;
+ (int)getIconForPid:(int)pid;
+ getCtxt:(int *)ctxt pid:(int *)appPid andIcon:(int *)appIcon forPath:(char *)path;
+ (int)getLastPidFor:(char *)aName;
+ (BOOL)pidExists:(int)testPid;
+ getExecPath:(char *)execPath from:(const char *)theAppName;
+ getShortName:(char *)shortName from:(const char *)theAppName;

- initFrame:(const NXRect *)newFrame image:anImage
       data:(const void *)someData andLength:(unsigned int) newLength
	useSize:(BOOL) sizeValid onDock:(BOOL)dockFlag;

- initFromDragContext:(id <NXDraggingInfo>)context andSize:(NXSize *)aSize onDock:(BOOL)dockFlag;

- (void) setImageSize;
- getImagePoint:(NXPoint *) imageLoc andHilitePoint:(NXPoint *) hiliteLoc;
- (BOOL)isApp;
- getData:(void **) aPtr andLength:(unsigned int *) aLength;
- getAppPid;
- (int)appPid;
- vanishIcon;
- unvanishIcon;
- image;
- (const char *)data;
- setImage:anImage;
- setGhost:(BOOL) newGhost;
- (BOOL)isGhost;
- (BOOL)autoScan;
- setAutoScan:(BOOL)flag;
- setAutoLaunch:(BOOL)flag;
- (BOOL)autoLaunch;
- setPreDelete:(BOOL)flag;
- setFiendLaunch:(BOOL)flag;
- (BOOL)fiendLaunch;
- refreshIcon;
- (BOOL)preDelete;
- (BOOL)onDock;
- (int) state;
- setState:(int) flag;
- setDockMgrView:aView;
- dockMgrView;
- (BOOL)isLaunched;
- setLaunched:(BOOL)flag;
- (BOOL)isSticky;
- setSticky:(BOOL)flag;
- (int)appCtxt;
- (BOOL)appWasActive;
- (BOOL)appWasVisible;
- (BOOL)appIsVisible;
- getScreenStatus;
- restoreIconImage;
- setCtxt:(int)c pid:(int)p andIcon:(int)i;
@end

BOOL onNeXTDock(const char *path, int height);

