#import <appkit/appkit.h>

@interface ShelfView : View 
{
    id		dragSourceView;
	id		droppedView;
    id		draggedView;
	id		fiendSound;
	id		destroySound;
	int		gridValue;
	char	imageFileName[MAXPATHLEN-1];
	NXSize	origImageSize;
    NXPoint	defaultLoc;
    NXColor	bgColor;
	NXImage	*theImage;
    BOOL	useBGColor;
	BOOL	tileImage;
	BOOL	gridChanged;
    BOOL	keepDraggedIcons;
}

- (void)createViewForPath:(const char *)path withImage:(NXImage *)image at:(NXPoint *)point;
- mouseDown:(NXEvent *)e;
- deleteView:aView;
- deselectAll:sender;
- (char *)getImageFileName;
- setImageFileName:(const char *)theName;
- deleteSelectedCells;
- (NXDragOperation)draggingUpdated:(id <NXDraggingInfo>)sender;
- (NXDragOperation)draggingEntered:(id <NXDraggingInfo>)sender;
- draggingExited:(id <NXDraggingInfo>)sender;
- (BOOL)prepareForDragOperation:sender;
- (BOOL)performDragOperation:sender;
- concludeDragOperation:(id <NXDraggingInfo>)sender;
- draggedImage:(NXImage *)image beganAt:(NXPoint *)screenPoint;
- draggedImage:(NXImage *)image endedAt:(NXPoint *)screenPoint
     deposited:(BOOL)didDeposit;
- (NXDragOperation) draggingSourceOperationMaskForLocal:(BOOL)flag;
- (void)alignSubviews;
- setDragView:aView onEvent:(NXEvent *) e
		 withOffset:(NXPoint *) offset
		 atLocation:(const NXPoint *) location;

- setKeepDraggedIcons:(BOOL)flag;
- (NXColor) backgroundColor;

- (int) gridValue;
- setGridValue:(int) gridValue;

- (void) setGridEnabled:(BOOL) flag;
- (BOOL) gridEnabled;

- setTileImage:(BOOL)flag;
- (BOOL)tileImage;

- (int)hasSelectedCells;
- (const char *)selectedCellPath;
- copy:sender toPasteboard:pb andCut:(BOOL)flag;
- paste:sender toPasteboard:pb;
- selectViewsInRect:(NXRect *)theRect deselect:(BOOL)flag;

- readShelf:(BOOL)showProgress;
- writeShelf;

@end


